%if 0%{?el7}
%define dist .el7
%endif

Summary:       Network Performance Testing Tool
Name:          netperf
Version:       2.7.0
Release:       2%{?dist}

Group:         System Environment/Base
License:       Unknown
#URL:           http://www.netperf.org/
URL:           https://github.com/HewlettPackard/netperf
Packager:      momo-i <webmaster@momo-i.org>
Vendor:        momo-i, http://www.momo-i.org/
Source:        https://github.com/HewlettPackard/netperf/archive/%{name}-%{version}.tar.gz
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: texinfo, texinfo-tex
BuildRequires: gcc gcc-c++

# we are not quite ready to make this a requirement but leave
# the line here as a heads up for the attentive :)
BuildRequires: libsmbios-devel

# if you want to enable the SCTP tests, append --enable-sctp to the
# configure line, and uncomment the next line
BuildRequires: lksctp-tools-devel

%description
Many different network benchmarking tools are collected in this package,
maintained by Rick Jones of HP.


%prep
%setup -q -n %{name}-%{name}-%{version}

%build
# gcc 4.4 users may want to disable the strict aliasing warnings
# CFLAGS="$RPM_OPT_FLAGS -Wno-strict-aliasing"
%configure \
	--enable-histogram \
	--enable-dirty \
	--enable-unixdomain \
	--enable-dccp \
	--enable-omni \
	--enable-exs \
	--enable-sctp \
	--enable-intervals \
	--enable-spin \
	--enable-burst \
	--enable-cpuutil=procstat

make  %{_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=${RPM_BUILD_ROOT}

# Convert the main netperf document to other formats
cd doc
make %{name}.txt %{name}.html %{name}.xml pdf
cd ..

# We don't want to package the Makefile files in the examples directory
rm -f doc/examples/Makefile*

# Info
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

# %post

%files
%defattr(-,root,root,-)
%doc README AUTHORS Release_Notes
%doc doc/netperf.{html,pdf,txt,xml}
%doc doc/examples
%{!?_licensedir:%global license %%doc}
%license COPYING
%{_mandir}/man1/*
%{_infodir}/*
%{_bindir}/netperf
%{_bindir}/netserver

%changelog
* Wed Sep 09 2015 momo-i <webmaster@momo-i.org> - 2.7.0-2
- Rebuilt for el7

* Wed Sep 09 2015 momo-i <webmaster@momo-i.org> - 2.7.0-1
- Update to 2.7.0

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 2.6.0-5
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 2.6.0-4
- Rebuilt for fc23

* Wed Apr 15 2015 momo-i <webmaster@momo-i.org> - 2.6.0-3
- Rebuilt for fc22

* Mon Sep  7 2009 Jose Pedro Oliveira <jpo at di.uminho.pt> - 2.4.5-1
- Specfile cleanup.

* Sat Jun 17 2006 Martin A. Brown <martin@linux-ip.net> - 2.4.2-1
- initial contributed specfile for netperf package (v2.4.2)
